diff -r 23c5a8da2265 qpy/QtCore/qpycore_pyqtslot.cpp
--- a/qpy/QtCore/qpycore_pyqtslot.cpp	Wed Feb 10 18:55:42 2016 +0000
+++ b/qpy/QtCore/qpycore_pyqtslot.cpp	Wed Feb 10 22:33:00 2016 +0000
@@ -24,7 +24,7 @@
 
 // Create the slot for a callable.
 PyQtSlot::PyQtSlot(PyObject *callable, const Chimera::Signature *slot_signature)
-    : mfunc(0), mself_wr(0), other(0), signature(slot_signature)
+    : mfunc(0), mself(0), mself_wr(0), other(0), signature(slot_signature)
 {
     if (PyMethod_Check(callable))
     {
@@ -87,6 +87,12 @@
         if (!self)
             self = instance();
 
+        // If self is NULL then we didn't have a method in the first place.
+        // Instead we had a callable that has been cleared during garbage
+        // collection - so we can simply ignore the invocation.
+        if (!self)
+            return PyQtSlot::Ignored;
+
         // See if the instance has gone (which isn't an error).
         if (self == Py_None)
             return PyQtSlot::Ignored;
